Contents
Manual for CDex 1.30

by Albert L Faber

Contents

Copyright notice

Introduction

Installing CDex

A Quick Tour

Digital Audio

Configure CDex

Menu Options

Trouble Shooting

Glossary


Copyright notice

Copyright (c) 1999 Albert Faber.

      GNU GENERAL PUBLIC LICENSE         Version 2, June 1991

Copyright (C) 1989, 1991 Free Software Foundation, Inc. 675 Mass Ave, Cambridge, MA 02139, USA Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

       Preamble

  The licenses for most software are designed to take away your freedom to share and change it.  By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.  This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it.  (Some other Free Software Foundation software is covered by the GNU Library General Public License instead.)  You can apply it to your programs, too.

  When we speak of free software, we are referring to freedom, not price.  Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.

  To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.

  For example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have.  You must make sure that they, too, receive or can get the source code.  And you must show them these terms so they know their rights.

  We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.

  Also, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software.  If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.

  Finally, any free program is threatened constantly by software patents.  We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary.  To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.

  The precise terms and conditions for copying, distribution and modification follow.

      GNU GENERAL PUBLIC LICENSE   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

  0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License.  The "Program", below, refers to any such program or work, and a "work based on the Program" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language.  (Hereinafter, translation is included without limitation in the term "modification".)  Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not covered by this License; they are outside its scope.  The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is true depends on what the Program does.

  1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.

You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

  2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

    a) You must cause the modified files to carry prominent notices    stating that you changed the files and the date of any change.

    b) You must cause any work that you distribute or publish, that in    whole or in part contains or is derived from the Program or any    part thereof, to be licensed as a whole at no charge to all third    parties under the terms of this License.

    c) If the modified program normally reads commands interactively    when run, you must cause it, when started running for such    interactive use in the most ordinary way, to print or display an    announcement including an appropriate copyright notice and a    notice that there is no warranty (or else, saying that you provide    a warranty) and that users may redistribute the program under    these conditions, and telling the user how to view a copy of this    License.  (Exception: if the Program itself is interactive but    does not normally print such an announcement, your work based on    the Program is not required to print an announcement.)

These requirements apply to the modified work as a whole.  If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works.  But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.

In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

  3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:

    a) Accompany it with the complete corresponding machine-readable    source code, which must be distributed under the terms of Sections    1 and 2 above on a medium customarily used for software interchange; or,

    b) Accompany it with a written offer, valid for at least three    years, to give any third party, for a charge no more than your    cost of physically performing source distribution, a complete    machine-readable copy of the corresponding source code, to be    distributed under the terms of Sections 1 and 2 above on a medium    customarily used for software interchange; or,

    c) Accompany it with the information you received as to the offer    to distribute corresponding source code.  (This alternative is    allowed only for noncommercial distribution and only if you    received the program in object code or executable form with such    an offer, in accord with Subsection b above.)

The source code for a work means the preferred form of the work for making modifications to it.  For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable.  However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.

If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.

  4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License.  Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

  5. You are not required to accept this License, since you have not signed it.  However, nothing else grants you permission to modify or distribute the Program or its derivative works.  These actions are prohibited by law if you do not accept this License.  Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.

  6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions.  You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.

  7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License.  If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all.  For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices.  Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.

This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.

  8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded.  In such case, this License incorporates the limitation as if written in the body of this License.

  9. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time.  Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number.  If the Program specifies a version number of this License which applies to it and "any later version", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation.  If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.

  10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission.  For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this.  Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.

       NO WARRANTY

  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

       END OF TERMS AND CONDITIONS


Introduction

This document describes a utility for extracting sound files from a CD-ROM and converting WAV files into several other (compressed) formats, like the popular MP3 format.

The latest version of CDex can be downloaded from:

http://www.cdex.n3.net

System Requirements

Status of CDex

Acknowledgements

Change log


Installing CDex

How to install CDex.

Important:

CDex needs ASPI drivers to work properly; you should have installed this on your system, because otherwise you cannot use the extracting of CD-ROM tracks.

Installing CDex (when you downloaded the ZIP file) is straightforward and easy. In order to install CDex, open the file Zip file with a utility like WinZipand extract the file to a directory you like (e.g. c:\Program File\CDex). Once extracted, close WinZip, open a Windows Explorer window and select the directory where CDex is installed. Just double click on the CDex.exe file, that's all. Optionally you can create a shortcut to CDex, make sure though that you set "Start In" field to the directory where you have installed CDex.

Even easier is the installation from the CDexSetup.exe file. Just double click on the CDexSetup.exe file, and the setup wizard will guide you through the installation process.

How to uninstall CDex


A Quick Tour

This chapter if for those who can't wait, it discusses briefly how to configure the main options and how to use it. It is assumed that you have already installed CDex (see previous chapter). Now the first thing you have to do is to configure CDex, below a short description of the main items that have to be configured.

After you have started CDex, you have to select the configuration option from the options menu (or click on the configure on the toolbar).

How to get started


Digital Audio

This chapter explains briefly the digital audio related topics. At this moment it is not nearly complete, but at least the basic topics are discussed.

What is CDDA

The purpose of audio compression:


Configure CDex

This chapter explains the configuration menus within CDex.

General Settings

File Name Settings

CD-ROM Settings

Encoder Options

CDDB Options


Menu Options

This chapter explains all the menu options that are available.

File Menu Options

Edit Menu Options

Convert Menu Options

Play Menu

CDDB Menu

Options Menu

Help Menu


Trouble Shooting

This chapter has some information in case you have problems with CDex. It is recommended though that you also read the CDex FAQ, which might have more up to date information about your specific problem (see http://www.cdex.n3.net).

System Information Dialog

Frequently Asked Question:


Glossary

Short Cuts

Bugs and suggestions

Mouse Click


System Requirements

The run CDex, you need at least:

Microsoft Windows 95/98/NT operating system

Adaptec's ASPI for Win32 Manager (version 4.54 or better)

A CD-ROM which has Digital Audio Extracting capabilities (most IDE drives and SCSI drives will do)

Intel Pentium or compatible processor

Lot's of free disk space to record your WAV files

A player is recommended (utilities like WinAmp or MaPlay are good free/ shareware utilities). Take a look at www.mp3.com where you can find a much more information about MP3.


Status of CDex

CDex is under continual development, often following users' suggestions.


Acknowledgements

Thanks are due to the many people that have worked on the LAME encoder, and the beta testers of CDex in giving advice for improvements to CDex.

CDDB is designed and developed by Ti Kan and Steve Scherf (http://www.cddb.com).

Blade Encoder is developed and maintained by Tord Jansson.


Change log

Version 1.30: (August 2000)

Improved MP3 player (switched to MPG123 decoding engine)

Initial CDDB submit support

Recording from a soundcard

Improvements to the playlist file generations

Added support for the Vorbis Encoder

Support for GoGo MP3 encoder

Included latest Lame Encoder

Support for latest FAAC DLL

Version 1.20: (December 1999)

Automatically match up the CD drive letter with the CD-ROM device

CDDB ID of mutlti-media CDRoms are now calculated correctly

Better site query of CDDB sites

Fixed (hopefully) windows codec enumeration bug

On the fly encoding for external encoder (if ext encoder supports this)

Added support for FAAC dll

Included latest Lame Encoder (speed and quality improvements)

Added additional settings for Lame Encoder

Setting proper logical drive in CD-ROM configuration dialog

Save the remote CDDB sites properly

Fixed bugs in normalization code (Thanks to Frank!). Decreased normalization buffer size in order to avoid stack overflow problems

Save Correct TAG (Category Field) when performing Partial Track copy Added Simple MP3 Player

Switched to Lame Encoder (version 3.58)

Added Joint stereo and Fake Stereo option in Internal Encoder options Fixed problems when converting MP3->RIFF WAV (was not doing anything)

Made changes to Codec enumeration, hopefully this solves the weird crashes

Store the CDDB query sites result correctly

Added WMA encoder

Better handling of ASPI errors

Fixed problems with pause button

Avoid system crash when no CD-ROM drive has been found

Version 1.10: (March 1999)

Major re-code of the ripping and encoding part, in order to more easily add new encoders and to avoid a maintenance trap. Unfortunately, this has introduced many new bugs, therefore many service releases were necessary to make it stable again.

Moved the ripping stuff in a separate DLL.

Added the CD selection bar in the main menu.

Better support for external encoders.

Dropped (or convert WAV files) now also supports multiple CD-ROM configurations (i.e. the settings of each CD-ROM are saved in the INI file).

Added support to get the CDDB server list.

More flexible file name building (including dynamic directory creation).

Support for Windows MP3 compression Codec.

Version 1.02: (December 1998)

Minor improvements to version 1.02, mostly related to slow response time of Windows NT systems.

Version 1.00: (October 1998)

Improved user interface (removed plain buttons for Extracting toolbar)

Added remote CDDB support

Added support for external encoders (AAC/VQF/MP3 like Blade Encoder, Plugger, L3Enc etc.)

Added support for Blade Encoder DLL

Several bug fixes

Version 0.15: (August 1998)

First non-beta version.


How to uninstall CDex

CDex does not install any additional DLLs or components; all the files are located in the CDex directory except the CDex.ini file, that is located in the Windows directory. Just remove the directory where CDex is installed, in addition you have to delete the CDex.ini file that is located in the Windows directory.

If you have installed CDex via the CDexSetup.exe file, you can select the Uninstall CDex option from the Start/Programs/CDex XXX/Uninstall CDex menu option. However, the Uninstall won't delete the CDex.ini file, which you have to delete by hand from the windows directory


How to get started

First select the configure button (F4) and select a proper output directory For all the available shortcuts see also Short Cuts.

Secondly, select the CD-ROM tab and make sure that the CD-ROM settings are correct. At least make sure that the logical drive letter is setup correctly for your CD-ROM (otherwise you might get problems with reading the CDPlayer.ini file. Optionally you might select another encoder. You can select the encoder by clicking on the MP3 tab.

Finally, you have to fill out the CDDB settings (at least make sure that you specify your e-mail address when you want to use the remote CDDB functionality.)

Once you have setup everything, click on the OK button. The setting will be stored to the CDex.ini  file that is located in the windows directory. Now the setup has been completed, it is time to rip some files:

The figure above shows the main CDex screen. The first thing I would recommend to do is to fill out the Artist/Album information as well as the Track proper track information. It seems like a bit of work, but otherwise you will end up with a bunch of files with the same name and you don't know what it is (and likely have to rename them anyways or throw them away).

Luckily, there is a large database one the Internet called CDDB. This database has track and artist information of about every CD album. The only thing you have to do, in order to use this database. is to fill out the e-mail address field in the CDDB options (or at least something that looks like an e-mail address like john@do.com).

Now select one (or more) tracks from the track list. You can select tracks byclicking on the track, to select more than one track; hold down the CTRL key while clicking. To select a range of files, you can hold down the SHIFT key while clicking on the first and last track you want to select. You can select all files using the CTRL-A short-cut key. Notice that this selecting mechanism is native to Windows, but not all users are aware if this selection method, Windows Explorer, for example, uses the principle to select multiple files.

Once you have selected the tracks, you can extract these tracks to either WAV files or extract them directly to a compressed file (like MP3). If you want to extract them to a WAV file, select the upper button of the (F8)

Files or encoded file, like MP3 (F9). Instead of the function keys, you can also select the first or second button respectively at the Record short-cut bar located at the right side the main CDex screen.

To rename the track files, you have to select a track first, once the track is selected, click on it again  (with left mouse button, or press the F2 key), now a cursor will appear, type in the track. Hit the return key when done (this procedure is similar to the file renaming the Windows Explorer). Or, if you have selected a track,  you can use the right mouse button to get the pop-up menu, select rename and the text cursor will appear.

Most of these functions are available when you press the right mouse button in the track list!


What is CDDA

The process of direct reading the audio data is called CD Digital Audio (CD-DA) or sometimes referred to as 'Digital Audio Extraction' (DAE) or as 'CD ripping' . CDex uses CD-DA to read the audio data of the CD disc and write the resulting data into a WAV file or a MP3 file. The advantage of CD-DA above recording the file using your sound card is that there is no loss of music quality; the data in the WAV file are an exact copy of the data on the disc. For the insiders, using your sound card, the digital data from the disc is converted to an analog signal, which is then digitized again by the sound card. Often the sound quality will deteriorate when going this route, often producing noisy WAV files.Furthermore, DAE is also a lot faster than ripping audio data with your sound card.


The purpose of audio compression:

Up to the advent of audio compression, high-quality digital audio data took a lot of hard disk space to store. Let us go through a short example. Suppose you want to, sample your favorite 1-minute song and store it on your hard disk. Because you want CD quality, you sample at 44.1 kHz, stereo, with 16 bits per sample.

44100 Hz means that you have 44100 values per second coming in from your the CD-ROM (or input file). Multiply that by two, because you have two channels. Multiply by another factor of two because you have two bytes per sample (i.e. 16 bits per sample). The song will take up 44100 samples/s x 2 channels x 2 -bytes/sample · 60 seconds/min Mbytes (is about 10 MBytes/min) of storage space on your hard disk.

If you want to download that over the Internet, given an average 28.8 modem, it would take you about 10,000,000 bytes x 8 bits/byte / (28800 bits/s) x / (60 s/min) or about 45 minutes. Just to download one minute of music!

Digital audio coding, which - in this context - is synonymously called digital audio compression as well, is the art of minimizing storage space (or channel bandwidth) requirements for audio data. Modern perceptual audio coding techniques (like MPEG Layer-3) exploit the properties of the human ear (the perception of sound) to achieve a size reduction by a factor of 12 with little or no perceptible loss of quality.

Therefore, such schemes are the key technology for high quality low bit-rate applications, like soundtracks for CD-ROM games, solid-state sound memories, Internet audio, digital audio broadcasting systems, and the like.


General Settings

Eject CD when ripping has been completed

ID3 V1.0 or ID3 V1.1.

Normalize track volume:


File Name Settings

File name builder:

WAV->MP3 Output Directory:

Recorded Tracks Output Directory:

Illegal character replacement button:

Split Track name to Track/Artist using X character:

Playlist file name builder.

Add Files to M3U Play-list.

Add Files to PLS Play-list.


CD-ROM Settings

CD-ROM drop down list:

Read Sector (default value 26)

Read Overlap (default value 7):

Block Compare (default value 1):

Number of Retries (default value 0):

CD Speed (default value 0):

CD-Read Type (default value Generic):

Auto Detect Button:

Swap Left Right Channel (default value off):

Enable Jitter correction (default value on):

Start and end Offset (default values 0):

Spin up time (default value 0):


Encoder Options

This section describes the options that can be filled out in the MP3 Encoder options dialog.

Bit-rate values and how to interpred them:

Add ID3 Tag:

Thread Priority:

Output to Riff-WAV file:

Encoder:

Settings for Lame MP3/Blade DLL/Internal MP3 encoder:

On-the-fly MP3 encoding (default  value on):

External Encoder:

AAC Astrid/Quartex encoder:

Yamaha VQF encoder options;

Windows Codec options:

Microsoft WMA encoder options:

Psytel AAC encoder:

External Xing Encoder:

WAV output Encoder

FAAC DLL Encoder

Vorbis DLL Encoder


CDDB Options

What is the CDDB anyway?:

Remote server:

The Query Sites button:

E-mail address:

Time Out value: (default 20)

Firewall settings: (default disabled)

Auto-connect to remote CDDB: (default disabled)

Submit Options:

Local CDDB path:

CDDB type:

Store in CDPlayer.ini file:

Store in local CDDB:


File Menu Options

System Info:

Compare two files:

Exit:


Edit Menu Options

Select All:

Copy to clipboard:

Rename Track:

Refresh track list:


Convert Menu Options

Extract CD Track(s) to WAV files:

Extract CD Track(s) to MPEG files:

Extract Partial CD Track:

WAV->MPEG option:

MPEG->WAV option:

MP3->RIFF-WAV option:


Play Menu

Play Files:


CDDB Menu

Read from local CDDB:

Read From Remote CDDB:

Read From CDPlayer.ini:

Save To Local CDDB:

Save To CDPlayer.ini:


Options Menu

Settings:

View Play:

View Record:

View Ripping Status Details:

Clear Ripping Status:


Help Menu

Help Topics:

About CDex:


System Information Dialog

The System Information dialog box displays information that is important when you submit a bug report. For your convenience, you can let CDex copy the information to the clipboard which you can paste (Control V) in you e-mail program when you send in a bug report.


Frequently Asked Question:

Q: Whenever CDex starts my floppy drive is queried for about 5 seconds then the program continues.

Q: CDex does not start up or crashes at the start-up (in Module CDex.exe or Kernel32.exe)

Q: When I try to start CDex, it complains that it can’t find the CDRip.dll file

Q: When I hit the Tracks->MPEG button nothing happens?

Q: Where is the CDRip status retained that is displayed in the main track Window?

Q: Is it possible, using CDex, to merge several tracks into a single WAV or MP3 file?

Q: Can I convert MP3 files back to WAV files?

Q: When I extract files, there are is no music information, just dead silence

Q: When I convert/rip MP3 files, CDex is slow as molasses, what wrong with my system?

Q: The status indicates that I have jitter problems


Short Cuts

CDex is aware of the following short cuts:

F2 Rename Track

F3 View status

F4 Configure CDex

F5 Refresh track list (re-read the Table Of Contents and re-read CDDB information)

F8 Rip selected tracks to a WAV file

F9 Rip selected track to a MP3 file

F10 Partial track extraction

Ctrl-A Select all tracks


Bugs and suggestions

IMPORTANT:

Do not send me large attachments of large files! If you have a problem, please READ the help file first, if this doesn't solve your problems, take a look at the latest FAQ on the website (http://www.cdex.n3.net), it maybe has a solution for your problem(s). If you still have problems, well then you can send me an e-mail with your specific problems. Also include as much as possible information about your system.

Which version of CDex do you use

What ASPI drivers do you have installed on your system ?

What kind of CD-ROM do you have (brand + type)

What kind of CD-ROM settings do you use (Read Sectors and Read Overlap)

Did you try the Auto Detect function yet?

Which encoder you have selected

Furthermore, add the information, which is displayed in the System Info dialog box. For your convenience, you can let CDex copy the information into the clipboard, which you can paste (Control v) in your e-mail program.


Mouse Click

A mouse click is pressing and releasing the left mouse button on an item.


Eject CD when ripping has been completed

When this checkbox is set, the CD will be ejected when the ripping has been  finished properly.


ID3 V1.0 or ID3 V1.1.

With this option you can select which ID-3 tag format shall be used by CDex. The  advantage of ID3 V1.1 over V1.0 is that the track number is also stored in the  ID3 tag (although not all player to support this feature, like WinAmp). See www.id3.org for more details about ID3 tags.


Normalize track volume:

Often CDs are recorded with different volume levels. CDex has an option to normalize the volume levels if the volume level of the record track is out of bounds. The upper and lower boundaries as well as the normalization values can  be specified in the four edit boxes. The values are in percentages. Keep in mind  that this option only works when the On The Fly MP3 encoding option is disabled.

Default settings:

Lower Normalization value: 98%

Upper Normalization value: 98%

Lower  value 90%

Upper value 98%


File name builder:

The file name option string determines how the output files will be saved to disk. The following identifiers are available to create dynamic file names:

%1 Artist information

%2 Album information

%3 Track number

%4 Track name

%5 CD Volume ID

%6 CDDB ID

%7 Track number with leading zero

%8 Total number of tracks on the album

%G ID3 Genre tag

%Y ID3 Year tag

Also the backslash (\) might be used to indicate what part will be used as a directory name. Beware that you should not start nor end with the backslash in the file name option dialog. You should not specify the extension of the file

Examples:

%1\%2\%4 creates the files, named after the track name, in the directory: artist\album

%1-%2-%3 creates the file track artist-album-track name


WAV->MP3 Output Directory:

This indicates where the converted MP3 files should be stored. The output directory can be changed by pressing on the '..' button. Once selected, a directory selection dialog appears, select the appropriate output directory and press the OK button..


Recorded Tracks Output Directory:

This indicates where the extracted MPEG (or WAV files) are stored after ripping. The output directory can be changed by pressing on the '..' button. Once selected, a directory selection dialog appears, select the appropriate output directory and press the OK button.


Illegal character replacement button:

When this button is pressed, a dialog pops-up in which you can select the character replacement you want to use for the illegal file name characters. Only one replacement character is supported right now, the replacement character might be empty. In this  situation, the illegal character is just removed from the file name.


Split Track name to Track/Artist using X character:

When this option is active, the Artist field is extract from the track name. All the characters bofore the "using X" character is used as the Artist name, everything after the splitting character is used as the track name. This option might be handy if you have a collection CD with various artists.


Playlist file name builder.

For the playlist file name builder, the same parsing routines are used as for the regular file name builder (see this section for more details).


Add Files to M3U Play-list.

When enabled, it will add the recorded files to the file Playlist.m3U, which is locate in the Recorded Tracks output directory.


Add Files to PLS Play-list.

When enabled, it will add the recorded files to the file Playlist.pls, which is locate in the Recorded Tracks output directory.


CD-ROM drop down list:

This selection box shows the available CD-ROMs, select the CD-ROM from which you want to extract the CD-ROM tracks .


Read Sector (default value 26)

Some drive can't read more than 26 sectors at once, thus if you get silent WAV files, make sure that this value is less than 27. If your drive can read more than 27 sectors at once, you can try to increase the value to say about 400, this can speed up the ripping process considerably!


Read Overlap (default value 7):

The problem with reading the audio CD format is that you can't very well position the starting track. This might cause a miss alignment when reading two separate blocks of data (thus gaps can occur, where some sound data is getting lost, or there might be overlap between first and second block of data). To solve this problem, CDex uses a so-called jitter correction, which means CDex is not position the laser to the end of the first block, but a few sectors earlier. This number of overlapping sectors can be entered in the Read Overlap field, this number should be large enough so there will be enough overlap to compensate for miss positioning of the laser. If you hear strange noises in your MP3 or WAV file, try to increase the read overlap number. Be aware that the read overlap value should always be less than the Read Sector value.


Block Compare (default value 1):

Now that we have read some additional sectors, it is time to actually do the jitter correction. Thus, the last sectors of the first data block are compared with the sectors of the second data block. The question is how many sectors do we have to compare to be sure that the blocks truly aligned? Well, I am using 1, but if you think this is not enough, please feel free to increase this number (which of course will slow down the recording process and might increase the number of jitter errors). Make sure though that the Block Compare  value does not exceed 0.5 x Read Overlap value.


Number of Retries (default value 0):

This number specifies the number of retries that will be attemted if CDex got jitter errors that were too large to be corrected. Increasing the number of retries might slow down the ripping process conciderably (it is probably  better to increase the number of Read Sector to avoid jitter errors)


CD Speed (default value 0):

Indicates the relative reading speed of the CD-ROM. The default value is 0, which means that is uses the default recording speed.  You might want to try to increase this value (e.g. 32) in order to speed up the ripping process (mostly noticeable when ripping WAV files).


CD-Read Type (default value Generic):

This option allows you to select the CD-ROM brand you have, based in this information CD audio data is read differently. By default it is set to Generic, which should work for most drives. However, if you don't get any audio data into the WAV or MP3 file, you might want to change this setting to your specific brand of CD-ROM.


Auto Detect Button:

Pressing the auto-detect performs a that brings that brings up a new window. You MUST have an Audio CD-ROM in your CD-ROM drive. The auto detection might take some time (a couple of minutes). If you are lucky, the auto detection will find at least one combination that reports success. Select this line from the list box and press the OK button. If it does not work, send me the file CDexAutoDetect.txt that is created in the root directory of your drive.

Note: Some people have reported that CDex or the system would crash when doing the auto detection procedure, they got around this problem by turning off the DMA setting in the Control Panel-> System -> Device Manager ->CD-ROM -> Your brand of CD-ROM (press properties button and select the Settings TAB). If CDex is still not able to read audio data from your CD-ROM, please send me an e-mail, include the CDexAutoDetect.txt and add also the info you get from the System Info button (see also contact for more details what information is useful for me).


Swap Left Right Channel (default value off):

With certain types of  CD-ROMs, the left and right channel are reversed. With this option enabled, you can correct for it.


Enable Jitter correction (default value on):

This setting controls if the jitter error correction function is enabled. Unless you have a very good CD-ROM drive (like a Plextor drive), I would advice you  to turn on the jitter correction, to avoid click/plops and other artifacts in the  extracted WAV of MP3 file. However, if you have a good CD-ROM drive, turning off the jitter correction can improve the ripping speed conciderably!


Start and end Offset (default values 0):

With the start and end offset you can tweak the actual start and end position. The values can be positive as well as negative. One unit correspond to a sector, which is 1/75th of a second.


Spin up time (default value 0):

Some drives give small artifacts in the first couple of seconds of the WAV file; this is likely that the CD-ROM has not spun up yet completely. In order  to avoid these artifacts, you can increase the spin up time value (value is in seconds).


Bit-rate values and how to interpred them:

Almost all the encoders work with a bit-rate parameter, with this variable you can set the amount of "compression" of the Adudio files.

The bit-rate s the number of bits per second. A higher bit-rate results in better sound quality, since the encoder retains more or the original sound wave information. The downside of a higher bit-rate is the increase in the file size. You can calculate the output file size based on the bit rate as follows:

MP3FileSize [kBits/s] = Bitrate [kBits/s] * Song Duration [sec].

Thus a song with a play time of 3 minutes and 16 seconds will yield to: MP3FileSize= 128.000 * (3*60 + 16) = 25088000 [kBits] = 3136000 [Bytes] = 3062.5 [KB]

If this song was recorded (at 44.1 Samples/sec/channel with 16 bits per sample) as a plain WAV file, the file size equal 44.100 x 2 x 2 x (3*60+16) = 33764.9 [KB]

Thus the compression ratio  in this example is: 33764.9/3062.5 = 11 x


Add ID3 Tag:

CDex can write an ID3 Tags at the end of the MP3 file. This tag contains some information about the recorded track (this information can be displayed by the MP3 player, e.g. WinAmp).


Thread Priority:

This setting allows you to change the thread priority of the encoder. Higher the thread settings can reduce the encoding time at the expense that Windows becomes less responsive.


Output to Riff-WAV file:

The output file is written as a RIFF-WAV file. This means that there is stored an additional header (a so called RIFF-WAV header) at the beginning of the encoded file. Furthermore, the extention becomes .WAV. If you have installed a Windows Codec to decompress MP3 Files, this option might be useful. Since Windows takes care of the decompression, even applications that are not aware of the MP3 format can handle this file fromat via the Windows Codec.


Encoder:

The encoder type specifies which encoder is used. Depending on the selected encoder, you can fill out the proper options:


Settings for Lame MP3/Blade DLL/Internal MP3 encoder:

This paragraph describes the options for the encoder mentioned above. However, not all options might be available for certain encoders,

Bitrate (default value 128 kBits/s):

Determines the number of bits per second.

Mode (default value Stereo):

With the LAME encoder, you can specify how the file is encoded. The default stereo option is recommended, but at lower bit-rates, the Joint-stereo or Forced stereo can yield to better sound quality.

Stereo: In this mode, the encoder makes no use of potentially existing correlations between the two input channels. It can, however, negotiate the bit demand between both channels, i.e. give one channel more bits if the other contains silence.

Joint stereo: In this mode, the encoder will make use of a correlation between both channels. The signal will be matrixed into a sum ("mid") and difference ("side") signal. For quasi-mono signals, this will give a significant gain in encoding quality. This mode does not destroy phase information like IS stereo that may be used by other encoders. This setting can be used to encode DOLBY ProLogic surround signals.

force joint stereo:  This mode will force MS joint stereo on all frames. It's faster and it uses some special mid and side masking threshold.

Mono: This option will generate a mono file, if the input file is a stereo file, the input stream will be downlsampled to a mono file by averaging the left and right channel.

Quality (default value Normal):

With the LAME encoder, you can specify the output quality; thus you can trade off encoding time against sound quality. The default (normal) is recommended, since the high output option might cause ringing artifacts at lower bit-rates. The voice quality is more or less optimized to generate the best quality for voice only WAV files (e.g. books on CDs).

MPEG-I/II setting (default value MPEG-I):

The difference between MPEG-I and MPEG-II are the sample frequencies of the input file. MPEG-I can handle input streams (WAV files) with a sample frequency of 48000, 44100 and 32000 Hz. MPEG-II on the other hand will support stream for 24000, 22050 160000 Hz. Basically, use MPEG-II when you want to encode with low bit rates (e.g. for voice files, or if you need small MP3 files with reduced quality). As you can see, the lowest bit-rate for MPEG-II is 8 kBits/sec while for MPEG-I the lowest bit rate is 32 kBits/s.

VBR Settings

This option allows you to set the Variable bit-rate option. Variable bit-rate encoding will enable dynamically determined bit-rates that depend on the music content of the current frame. This improves the overall quality of the encoded file without increasing the file size. This option sets the criteria used to determine when to increase the bit-rate for a frame. The lower the number the lower the criteria will be. Thus VBR_0 will yield to the best quality (but the larger file size) while VBR_9 will have less sound quality but the file size will be smaller. The recommended variable bit-rate option is VBR-4. If VBR encoding is not desired, set this option to none.

Private

When enabled, it will set the private flag in the MP3 stream.

Original

When enabled, it will set the orignal flag in the MP3 stream.

Copyright

When enabled, it will set the copyright flag in the MP3 stream.

Checksum

When enabled, the encoder will calculate the cyclic redundancy check (CRC) for the MP3 frames, and will add the CRC value to the MP3 stream.


On-the-fly MP3 encoding (default  value on):

When enabled, tracks are recorded directly into the desired compressed format (e.g. MP2/MP3) without have to store the entire file first to a WAV file. However, with some configuration people have heard strange click's in the output file. Therefore,the file is first record as a WAV file, which can be converted  to the desired output format,The WAV file is autmatically deleted when the conversion has been completed.DISABLE THIS OPTION IF YOU EXPERIENCE STRANGE CLICK'S IN YOUR MP3 FILES.


External Encoder:

The external encoder option allows you to use one of command line based encoder, such as l3Enc.exe, plugger+.exe, BladeEncoder.exe etc.

Browse button:

If you have such an encoder, you first have to specify the path where the encoder is located. To specify the encoder path, select the Browse button, a file selection box will appear. Go to the directory where the external encoder is located, and select the executable or batch file that will call the external encoder, and of course select the OK button. Once completed, the full name file path is displayed in the Encoder option dialog box.

Parameter String (default: %1 %2 -br %3

The parameter string determines the options that are passed into the external encoder. CDex has a few pre-defined place holders, which will be substituted with the correct parameter value right before the encoder is executed. The following place-holders are available:

%1 = input file name%2 = output file name%3 = bit rate in Bits/sec%4 = bit rate in kBits/sec

So for example, the parameter string could like: %1 %2 -br %3 ; This will expand (for example) to:  inputfile.wav outputfile.mp3 -br 1280000.

On The Fly encoding):

Since CDex beta 9, there is an option to use on the fly encoding (thanks to Egor Duda). If the On The Fly option is enabled, CDex does not generate a file, but outputs the stream data (WAV file) to an pipe. Thus in order to use this option, your external encoder should have an option to accept data coming from the standard input stream. So, for example to use lame as an external encoder, you should use the following parameter string:

-v -V4 -ms -b%4 -x - %2

This - before the %2 specifies that standard input stream will be used.


AAC Astrid/Quartex encoder:

To setup the encoder, press the browse button, no navigate to the proper directory where you have installed the AAC encoder (filename: AacEnc.exe). For the AAC encoder, only the bit-rate selection can be changed (see Internal MP3 encoder options for more details) . Keep in mind that only a few bitrates are supported (see AAC encoder documentation for more details)


Yamaha VQF encoder options;

In order to use the VQF encoder, select the browse button in the MP3 settings dialog, a file selection dialog box should appear, Locate the file SVQbatch.exe (default installed in the \program files\yamaha\SoundVQenc directory). Click on the OK button and select the VQF radio button and you are all set. In addition you can specify the output format from the VQF mode drop down list.


Windows Codec options:

For the Windows Codec, there are two drop down lists. The first one specifies which encoder to use. The second one specifies what mode should be used for encoding.

In addition, you can set the On-The-Fly encoding option, see On-the-fly encoding for more details encoding for more details.


Microsoft WMA encoder options:

Microsoft's WMA encoder is also supported within CDex. However, you should have installed the proper WMaudio SDK package. You can specify the bit-rate and On the Fly encoding (seeOn-the-fly encoding section for more details). You can also enable the Digital Right Management (DRM), which will add copy protection to the encoded file. (You ought to set this option when you encode files with more than 128 bits per second)


Psytel AAC encoder:

To setup the encoder, press the browse button, no navigate to the proper directory where you have installed the AAC encoder (filename: mp4.exe). For the AAC encoder, only the bit-rate selection can be changed (see Internal MP3 encoder options for more details) . Keep in mind that only a few bitrates are supported (see AAC encoder documentation for more details)


External Xing Encoder:

To setup the encoder, press the browse button, no navigate to the proper directory where you have installed the Xing Encoder encoder. For the options, please consult the Xing documentation.


WAV output Encoder

The WAV encoder allows you to generate WAV files other than the default WAV files (i.e. 44100 Hz, two channels) when using the standard CD->WAV extraction method. However, if you want to generate a different type of WAV file, please select this encoder and use the CD->MPEG option rather than the CD->WAV option. With this encoder, you have the following options:

Output Format (default WAV):

The output format selection you select the WAV format.

Compression (default PCM(none)

Depending on the Output Format, there are a few compression options available. From the drop down list you can select the one of the available compression formats.

Samples/sec (default 44100

The samples per second allows you to select the number of samples per second. For high quality use 44100 (cd quality), for medium quality select 22050 samples per second, and for low quality (e.g. voice) you can use a sample rate of 11025 samples per second.

Channels (default stereo

This option specifies the number of output channels.


FAAC DLL Encoder

CDex has support for the FAAC encoder DLL. The DLL can be download from Menno Bakker's home page

http://www.slimline.net/aac/

Copy the DLL into the CDex Directory, when done, start CDex and the encoder DLL should be recognized by CDex. See FAAC documentation for more details about the settings.


Vorbis DLL Encoder

CDex has support for the Vorbis encoder. The DLL is included wiht the CDex distribution. The following  items can be specified:

Minimum bit rate

Nominal bit rate

Maximum bit rate

Mode option: Mode A..E


What is the CDDB anyway?:

CDDB (CD database) is an information database containing artist, disc title, track titles and other information for digital audio compact discs.  It was created originally to support Xmcd, a CD-audio player software package for many computer platforms (primarily UNIX) running the X11 window system.

Early versions of xmcd allowed users to enter the CD information and save it on the computer's local disk.  The next time a user loads the same CDs in the drive, the saved information is automatically retrieved and displayed.  Further more, xmcd a "Send" feature in xmcd allows its users to submit CD information entries to the central archive via Internet electronic mail.  Over time, this archive has grown to contain a substantial collection of CD information and is continuing to grow at a rapid rate.

The CDDB data archive used to be available in full via FTP on the Internet, so that users can download this archive onto their computers and use it with xmcd.  However, the data has grown large enough over time to make it unfeasible to be distributed or used in this manner.

To address this issue, xmcd began supporting the concept of CDDB servers, such that users no longer need to download the entire CDDB to make full use of it.  Rather, a number of CDDB server hosts have been set up on the Internet around the world. Running xmcd on a Internet connect system, allows quering CDDB servers to access the CD database information.

The CDDB data format and the CDDB servers are designed to be open, and are now used by many other client application software requiring CD information.  The list of CDDB-capable applications is growing rapidly and a current list of these applications is available via the CDDB web site.


Remote server:

Select one of the remote server, probably the fastest response time will be obtained when you select a server that is physically located the closest to you.


The Query Sites button:

CDDB servers come and go. To obtain a fresh list of CDDB servers (via an Internet connection) click on the Query sites button.


E-mail address:

In order to access the CDDB remote data base, CDex has to provide an e-mail address. Therefore you have to enter an E-mail (or at least something that looks like one in this field.


Time Out value: (default 20)

This values (specified in seconds) will determine after which time period the remote connection has to be aborted in case there is no response of the server. If you experience a lot of time-outs (due to slow responses of the CDDB server) you can increase this value.


Firewall settings: (default disabled)

If you are behind a firewall, you have to fill out the following fields in order to be able to access the remote CD data-base:

Use Proxy: Enable this setting if you are behind a firewall, otherwise disable it (default).

Proxy port: This setting indicates which port the firewall will use to access HTML file on the Internet. The value depends on the firewall configuration (values that often used are 80,81 or 8080).

Authentication: In certain configuration you have to use the authentication in order to access files over the firewall. If this is the case, you have to enable the authentication, furthermore you have to fill out the edit field next to the Authentication field (with your user ID) and have to fill out the Password field.


Auto-connect to remote CDDB: (default disabled)

When auto-connect is enabled, CDex will access the remote CDDB automatically when the CD information is not located in the local CDDB or the CDPlayer.ini file.


Submit Options:

When pressing this button, a dialog with the CDDB submit options will appear. You can adjust how to submit a new item (via e-mail or using the HTTP protocl), and specify the e-mail address / submit web address respectively. Keep in mind that submitting via HTTP does not work for www.cddb.com, since CDex submit option is not validated by  GraceNote, the owner of the CDDB database. You can use it however with freedb, which  is real free (as in free speach) CDDB database.


Local CDDB path:

CDex will store the data gathered from the remote server into a local CDDB data base. You have to provide the location where you want to store the files, or if you point it to an existing local CDDB.


CDDB type:

The local CDDB files can be stored in either Windows type CDDB or an UNIX type CDDB. The advantage of the UNIX CDDB  is that for each entry a unique file is created. This allows much faster lookup of CDDB entries. However, due to the nature of a FAT16 partitions, each file can take a considerable amount of disk space. This can be avoided by using the Windows type of CDDB Windows CDDB type, which will store several entries into one file.


Store in CDPlayer.ini file:

You can store the results gathered from the remote CDDB (or If you entered them manually) in the CDPlayer.ini file as well. This allows you to use the CDDB information for the Windows CD player as well.


Store in local CDDB:

When enabled, CDex will store the track/album information gathered from the remote CDDB (or If you entered them manually) in the local CDDB data-base. It is recommended that you have this option enabled, since the CDDB can hold much more information then the CDPlayer.ini file.


System Info:

See trouble shooting section for more details.


Compare two files:

This option allows you to compare two WAV files. This tool differes from a regular file comparison utility (like diff.exe of fc.exe) in that it ignores the WAV header. So this option can determine the time shift between two files, and compares the WAV data is equal.


Exit:

Selecting exit will close the CDex application.


Select All:

This options selects all the tracks in the track list window.


Copy to clipboard:

This option copies the track information to the clipboard, so you can paste in another application.


Rename Track:

This option allows you to rename the current selected track.


Refresh track list:

This option will re-read the information from the CD-ROM and get the data from the local CDDB or CDPlayer.ini files. This option does not save the track information to one of the databases, so beware of this option.


Extract CD Track(s) to WAV files:

This option allows you to extract the selected CD audio tracks into a WAV file.


Extract CD Track(s) to MPEG files:

This option allows you to extract the selected CD audio tracks into a compressed file file (e.g. MP3).


Extract Partial CD Track:

This option will extract a portion of the CD, into either a WAV file or a compressed file. This might be useful when you want to merge several tracks into one WAV or MPEG file.


WAV->MPEG option:

When selecting this option a file dialog box will appear. You can select several WAV files by holding down the SHIFT or CTRL button. Once selected, pressing the OK button encodes the selected files to a compressed file.


MPEG->WAV option:

When selecting this option a file dialog box will appear. You can select several MPEG files by holding down the SHIFT or CTRL button. Once selected, pressing the OK button decodes (rips) the selected files to an uncompressed WAV file.


MP3->RIFF-WAV option:

When selecting this option a file dialog box will appear. You also can select several MPEG files by holding down the SHIFT or CTRL button. Once selected, pressing the OK button, converts the selected files to a RIFF-WAV file. See Output to Riff WAV section section.


Play Files:

Since version 1.30, CDex has a small player to listen to MPEG files. Select this option to get access to the MPEG player.


Read from local CDDB:

The track information of the current CD is read from the local CDDB.


Read From Remote CDDB:

The track information of the current CD is read from a remote CDDB server. An Internet connection will be established when you are not on-line.


Read From CDPlayer.ini:

The track information of the current CD is read from the CDPlayer.ini file.


Save To Local CDDB:

The current track information is stored to the local CD database.


Save To CDPlayer.ini:

The current track information is stored to the CD Player.ini file.


Settings:

See section configure CDex for more details.


View Play:

This option allows you to turn on or off the play toolbar.


View Record:

This option allows you to turn on or off the record toolbar.


View Ripping Status Details:

Select this option if you want to have more detailed information about the ripping status. This option is useful when jitter errors occur. These errors indicated with an X in the track list window under the status column. The ripping status will display more detailed information showing which block the jitter error(s) occured.


Clear Ripping Status:

Select this option to clear the ripping status.


Help Topics:

Select this option to start the CDex help.


About CDex:

When selecting this option, a dialog box with version information will appear.


Q: Whenever CDex starts my floppy drive is queried for about 5 seconds then the program continues.

A: You have to make sure that you have selected the proper logical drive.


Q: CDex does not start up or crashes at the start-up (in Module CDex.exe or Kernel32.exe)

A: There seems to be a problem with the enumeration of the Window Codecs when you have installed certain versions of the MS Media Player or the MS WMA Encoder. You can circumvent this problem by not enumerating the Windows encoders (so you can not use the L3Codec.acm encoder anymore). You have to do the following: Open the CDex.ini file (located in the Windows Directory), search for the line:

WinEncoder=1

Change it to

WinEncoder=0

Save the CDex.ini file, and you are all set.


Q: When I try to start CDex, it complains that it can’t find the CDRip.dll file


Q: When I hit the Tracks->MPEG button nothing happens?

A: The problem is that you created a CDex short-cut, and did not specify the working path. You can easily resolve this problem by setting the working directory (where the CDex.exe file is located and the encoder DLLs)


Q: Where is the CDRip status retained that is displayed in the main track Window?

A: The status information is stored in separate files in the Windows Temp directory as TXT files. The file name is derived from the CD-Volume ID. You can safely delete these text files, and the status should be cleared.


Q: Is it possible, using CDex, to merge several tracks into a single WAV or MP3 file?

A: What you can do is to select several tracks, and hit the partial track copy, with this option you can select a range which is ripped or encoded into one (large) file.


Q: Can I convert MP3 files back to WAV files?

A: Yes, CDex version 1.0 and up can convert MP3 files back to WAV files.


Q: When I extract files, there are is no music information, just dead silence

This problem might be a couple of things:

Make sure that you have installed the proper ASPI drivers. This following link:

http://users.westnet.gr/ vamp71/rippers/aspi.htm

has information how to install the proper ASPI drivers (version Adaptec's ASPI version 4.54 or 4.57 should work). You might run the ASPI check utility to make sure that the ASPI drivers are properly installed.

Make sure your drive does support CDDA

see http://www.mp3.com/cdrom.html

to determine if your drive does support CDDA

Some CD-ROM drives can not read more than 27 sectors at once. You might try to reduce the Read Sectors value.

Try the Auto Detect feature.


Q: When I convert/rip MP3 files, CDex is slow as molasses, what wrong with my system?

A: Well nothing I would say. The MP3 compression needs a lot of computation power. To get an idea about the encoding time: on a Pentium 166-MMX, with 32 Mb of SD-RAM, a one minute song, the encoding time will be about 2.5 minutes. However, with certain CD-ROM drives you might get better ripping performance when you set the CD-SPEED to 32, but this might increase the chance of jitter errors.


Q: The status indicates that I have jitter problems

A: Well, you can try to increase the Read Overlap value in the configuration dialog box. Furthermore make sure that the CD is clean, dirty discs can cause jitter problems. So you may want to try another disc first. In addition, you can increase the read overlap value a bit or try to set the CD-Speed value to 1. Also some cheap CD-ROM drives produce a lot of errors. If you can not resolve the jitter errors by applying the tips above, it is probably time to upgrade your CD-ROM drive.